Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Can someone please advise how I can get past a failure in the Ambari Install, Start & Test section?

Solved Go to solution

Can someone please advise how I can get past a failure in the Ambari Install, Start & Test section?

New Contributor

I get the below error for the Hcat install. According to the manual install, the package is actually hive-hcatalog, not hcatalog. I can manually add the hive-catalog package, but cannot get past this error

notice: Finished catalog run in 0.09 seconds notice: /Stage[1]/Hdp::Snmp/Exec[snmpd_autostart]/returns: executed successfully notice: /Stage[1]/Hdp::Snappy::Package/Hdp::Snappy::Package::Ln[32]/Hdp::Exec[hdp::snappy::package::ln 32]/Exec[hdp::snappy::package::ln 32]/returns: executed successfully err: /Stage[2]/Hdp-hcat/Hdp::Package[hcat]/Hdp::Package::Process_pkg[hcat]/Package[hcatalog]/ensure: change from absent to present failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install hcatalog' returned 1: Error: Nothing to do notice: /Stage[2]/Hdp-hcat/Hdp::Package[hcat]/Hdp::Package::Process_pkg[hcat]/Anchor[hdp::package::hcat::end]: Dependency Package[hcatalog] has failures: true notice: /Stage[2]/Hdp-hcat/Hdp::Directory[/etc/hcatalog/conf]/File[/etc/hcatalog/conf]: Dependency Package[hcatalog] has failures: true notice: /Stage[2]/Hdp-hcat/Hdp::Directory_recursive_create[/var/run/webhcat]/Hdp::Exec[mkdir -p /var/run/webhcat]/Anchor[hdp::exec::mkdir -p /var/run/webhcat::begin]: Dependency Package[hcatalog] has failures: true notice: /Stage[2]/Hdp-hcat/Hdp::Directory_recursive_create[/var/run/webhcat]/Hdp::Exec[mkdir -p /var/run/webhcat]/Exec[mkdir -p /var/run/webhcat]: Dependency Package[hcatalog] has failures: true notice: /Stage[2]/Hdp-hcat/Hdp::Directory_recursive_create[/var/run/webhcat]/Hdp::Exec[mkdir -p /var/run/webhcat]/Anchor[hdp::exec::mkdir -p /var/run/webhcat::end]: Dependency Package[hcatalog] has failures: true notice: /Stage[2]/Hdp-hcat/Hdp::Directory_recursive_create[/var/run/webhcat]/Hdp::Directory[/var/run/webhcat]/File[/var/run/webhcat]: Dependency Package[hcatalog] has failures: true notice: /Stage[2]/Hdp-hcat/Hdp-hcat::Configfile[hcat-env.sh]/Hdp::Configfile[/etc/hcatalog/conf/hcat-env.sh]/File[/etc/hcatalog/conf/hcat-env.sh]: Dependency Package[hcatalog] has failures: true notice: Finished catalog run in 3.61 seconds OK

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Can someone please advise how I can get past a failure in the Ambari Install, Start & Test section?

New Contributor

I have solved my initial problem, by upgrading my Ambari version to 2.4

6 REPLIES 6

Re: Can someone please advise how I can get past a failure in the Ambari Install, Start & Test section?

Guru

What version of Ambari are you using?

ambari-server --version

Re: Can someone please advise how I can get past a failure in the Ambari Install, Start & Test section?

New Contributor

ambari-server-1.4.3.38

Re: Can someone please advise how I can get past a failure in the Ambari Install, Start & Test section?

New Contributor

ambari-server-1.4.3.38-1.noarch

Re: Can someone please advise how I can get past a failure in the Ambari Install, Start & Test section?

New Contributor

Just to provide more details about the investigations I have done:-

The following fails, as per the log

Linux Prompt> sudo yum install hcatalog

Loaded plugins: product-id, rhnplugin, search-disabled-repos

This system is receiving updates from RHN Classic or RHN Satellite.

Setting up Install Process

epel/metalink | 2.9 kB 00:00

epel | 4.3 kB 00:00

No package hcatalog available.

Error: Nothing to do

When I looked at the Non_Ambari Cluster Installation Guide, it actually advises installing a different package:-

yum install hive-hcatalog

When I tried this, the package installed fine, showing no issues with yum or network.

Re: Can someone please advise how I can get past a failure in the Ambari Install, Start & Test section?

New Contributor

My amabri.repo looks like this:-

[ambari-1.x] name=Ambari 1.x baseurl=http://public-repo-1.hortonworks.com/ambari/centos6/1.x/GA gpgcheck=1 gpgkey=http://public-repo-1.hortonworks.com/ambari/centos6/RPM-GPG-KEY/RPM-GPG-KEY-Jenkins enabled=1 priority=1 [HDP-UTILS-1.1.0.16] name=Hortonworks Data Platform Utils Version - HDP-UTILS-1.1.0.16 baseurl=http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.16/repos/centos6 gpgcheck=0 gpgkey=http://public-repo-1.hortonworks.com/ambari/centos6/RPM-GPG-KEY/RPM-GPG-KEY-Jenkins enabled=1 priority=1 [Updates-ambari-1.4.3.38] name=ambari-1.4.3.38 - Updates baseurl=http://public-repo-1.hortonworks.com/ambari/centos6/1.x/updates/1.4.3.38 gpgcheck=1 gpgkey=http://public-repo-1.hortonworks.com/ambari/centos6/RPM-GPG-KEY/RPM-GPG-KEY-Jenkins enabled=1 priority=1

Should I be using a later version of Ambari?

I notice that there is a version 2!

If so, how do I go about getting the correct Ambari repo?

Re: Can someone please advise how I can get past a failure in the Ambari Install, Start & Test section?

New Contributor

I have solved my initial problem, by upgrading my Ambari version to 2.4